# Class TCefMediaRouteRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMediaRoute

## Declaration

`type TCefMediaRouteRef = class(TCefBaseRefCountedRef, ICefMediaRoute)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefMediaRouteRef

## Overview

### Methods

| `function GetId: ustring;`
| `function GetSource: ICefMediaSource;`
| `function GetSink: ICefMediaSink;`
| `procedure SendRouteMessage(const message_: ustring);`
| `procedure Terminate;`
| `class function UnWrap(data: Pointer): ICefMediaRoute;`

## Description

### Methods

| `function GetId: ustring;`
This item has no description. Showing description inherited from ICefMediaRoute.GetId. Returns the ID for this route.

| `function GetSource: ICefMediaSource;`
This item has no description. Showing description inherited from ICefMediaRoute.GetSource. Returns the source associated with this route.

| `function GetSink: ICefMediaSink;`
This item has no description. Showing description inherited from ICefMediaRoute.GetSink. Returns the sink associated with this route.

| `procedure SendRouteMessage(const message_: ustring);`
This item has no description. Showing description inherited from ICefMediaRoute.SendRouteMessage. Send a message over this route. |message_| will be copied if necessary.

| `procedure Terminate;`
This item has no description. Showing description inherited from ICefMediaRoute.Terminate. Terminate this route. Will result in an asynchronous call to ICefMediaObserver.OnRoutes on all registered observers.

| `class function UnWrap(data: Pointer): ICefMediaRoute;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.